$(document).ready(function() {

	// Tabs
	$('.ugl-tabs').each(function(){

		// Set active
		$(this).addClass('active');

		// Cache triggers and targets
		var triggers = $(this).children('.ugl-tabs-triggers'),
			targets = $(this).children('.ugl-tabs-targets');

		// Loop triggers
		triggers.children('.ugl-tabs-trigger').each(function(i){

			var trigger = $(this).children('a'),
				target = trigger.attr('href');

			// Set first child trigger and target as active, hide other targets
			if( i == 0 ) {
				$(this).addClass('active');
				$(target).show();
			} else {
				$(target).hide();
			}

			// Set click function on each trigger
			trigger.click(function(event){
				event.preventDefault();

				// Hide and remove active class from all targets and triggers
				$(targets).children('.ugl-tabs-target').hide();
				$(triggers).children('.ugl-tabs-trigger').removeClass('active');

				// Add active to current target and trigger
				$(target).show();
				$(this).parent('.ugl-tabs-trigger').addClass('active');
			});
		});

	});


	// Collapse
	$('.ugl-collapse').each(function(){

		// Activate
		$(this).addClass('active');

		// Cache items
		var items = $(this).children('.ugl-collapse-item');

		// Loop through collapse items
		items.find('.ugl-collapse-item-trigger').each(function(){

			// Hide all collapse items by default
			$(this).closest('.ugl-collapse-item').find('.ugl-collapse-item-target').hide();

			// Set click function on each trigger
			$(this).click(function(event){
				event.preventDefault();

				// Cache target and active state
				var target = $(this).closest('.ugl-collapse-item'),
					active = target.hasClass('active');

				// Loop through all collapse items
				items.each(function(){

					// Remove active class from all collapse items
					$(this).removeClass('active');

					// Slide all collapse items up
					items.find('.ugl-collapse-item-target').stop().slideUp();
				});

				// Check if current trigger is active
				if(!active) {

					// Remove active class from trigger
					target.addClass('active');

					// Slide the target down
					target.find('.ugl-collapse-item-target').stop().slideDown();
				}
			});
		});

	});


	// Activator
	$('.ugl-activator-trigger').each(function(){

		// Cache the target
		var target = $($(this).attr('href'));

		// Activate
		$(this).addClass('active');
		target.hide();

		// Register click functions on each target
		$(this).click(function(event){
			event.preventDefault();

			// Toggle slide effect for the target
			target.stop().slideToggle();
		});
		
	});

});